#include <vector>
#include <iostream>
#include <cassert>
#include <random>
#include <algorithm>
#include "json.h"

#include "rapidmix.h"

int main(int argc, const char * argv[]) {
    
    /////////////////////////////////////////////////////////////////////////////////
    //
    //  SIGNAL PROCESSING
    //
    /////////////////////////////////////////////////////////////////////////////////
    
    // tests moved into test_signalProcessing
    
    /////////////////////////////////////////////////////////////////////////////////
    //
    //  MACHINE LEARNING
    //
    /////////////////////////////////////////////////////////////////////////////////
    
    //tests moved into test_rapidmix-api
    //rapidXmmTools tests moved into test_rapidXmmTools
    
    
    //mz label test
    
    rapidmix::staticClassification labelKnn;
    labelKnn.train(myXmmData);
    std::vector<double> input = { 0.8, 0.1 };
    std::cout << "knn test: " << myXmmData.getLabel(labelKnn.run(input)[0]) << std::endl;    
    
    return 0;
}
